package cn.estsh.i3plus.ext.mes.pojo.model.jx;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @description: 质检单主表信息model
 * @author: jiaqi.hou
 * @date: 2022/06/22
 */
@Data
@Api("生成工单BOM model")
public class SxGenerateWorkOrderBomModel implements Serializable {

    private static final long serialVersionUID = 5505049563478175586L;

    @ApiParam(value = "工单信息")
    private List<WorkOrderModel> workOrderModelList = new ArrayList<>();

    @ApiParam(value = "工厂代码")
    private String organizeCode;

    @ApiParam(value = "操作人")
    private String userName;

    @Data
    public static class WorkOrderModel{

        @ApiParam("工单号")
        public String workOrderNo;

        @ApiParam("物料编码")
        public String partNo;

        @ApiParam("计划数量")
        public Double qty;

        public WorkOrderModel(String workOrderNo, String partNo, Double qty) {
            this.workOrderNo = workOrderNo;
            this.partNo = partNo;
            this.qty = qty;
        }

        public WorkOrderModel() {
        }
    }

    public SxGenerateWorkOrderBomModel addWorkOrderModel(WorkOrderModel model) {
        workOrderModelList.add(model);
        return this;
    }
}
